package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 项目动态表
 * </p>
 *
 * @author jobob
 * @since 2019-03-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_building_dynamic")
public class TaBuildingDynamic implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 动态ID
     */
    @TableId(value = "dynamic_id", type = IdType.UUID)
    private String dynamicId;

    /**
     * 楼盘ID
     */
    private String buildingId;

    /**
     * 首页图片URL
     */
    private String imgUrl;

    /**
     * 标题
     */
    private String title;

    /**
     * 发布时间
     */
    private LocalDateTime publishDate;

    /**
     * 描述
     */
    @TableField("`desc`")
    private String desc;

    /**
     * url
     */
    private String url;

    /**
     * 0正常，-1删除
     */
    @TableField("`status`")
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 楼盘
     */
    @TableField(exist = false)
    private TaBuilding building;

}
